Index: ChangeLog
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/ChangeLog,v
retrieving revision 1.276.2.5
retrieving revision 1.276.2.7
diff -u -p -r1.276.2.5 -r1.276.2.7
--- ChangeLog	24 Jul 2005 21:39:45 -0000	1.276.2.5
+++ ChangeLog	3 Aug 2005 14:27:48 -0000	1.276.2.7
@@ -10,6 +10,14 @@
                                -- ChangeLog --
 
 
+ngIRCd 0.9.1 (2005-08-03)
+
+  - The KILL command killed much more than desired (including server links!)
+    when the target user is connected to a remote server. Bug introduced in
+    ngIRCd 0.9.0 ...  Reported by <qssl@fastmail.fm>, Thanks!
+  - Changed some constants to be "signed" (instead of unsigned) to solve
+    problems with old (pre-ANSI) compilers.
+
 ngIRCd 0.9.0 (2005-07-24)
 
   ngIRCd 0.9.0-pre1 (2005-07-09)
@@ -612,4 +620,4 @@ ngIRCd 0.0.1, 31.12.2001
 
 
 -- 
-$Id: ChangeLog,v 1.276.2.5 2005/07/24 21:39:45 alex Exp $
+$Id: ChangeLog,v 1.276.2.7 2005/08/03 14:27:48 alex Exp $
Index: configure.in
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/configure.in,v
retrieving revision 1.111.2.3
retrieving revision 1.111.2.4
diff -u -p -r1.111.2.3 -r1.111.2.4
--- configure.in	24 Jul 2005 21:14:19 -0000	1.111.2.3
+++ configure.in	3 Aug 2005 14:27:48 -0000	1.111.2.4
@@ -8,13 +8,13 @@
 # (at your option) any later version.
 # Please read the file COPYING, README and AUTHORS for more information.
 #
-# $Id: configure.in,v 1.111.2.3 2005/07/24 21:14:19 alex Exp $
+# $Id: configure.in,v 1.111.2.4 2005/08/03 14:27:48 alex Exp $
 #
 
 # -- Initialisation --
 
 AC_PREREQ(2.50)
-AC_INIT(ngircd, 0.9.0)
+AC_INIT(ngircd, 0.9.1)
 AC_CONFIG_SRCDIR(src/ngircd/ngircd.c)
 AC_CANONICAL_TARGET
 AM_INIT_AUTOMAKE(1.6)
Index: contrib/ngircd.spec
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/contrib/ngircd.spec,v
retrieving revision 1.4.4.1
retrieving revision 1.4.4.2
diff -u -p -r1.4.4.1 -r1.4.4.2
--- contrib/ngircd.spec	9 Jul 2005 11:50:29 -0000	1.4.4.1
+++ contrib/ngircd.spec	3 Aug 2005 14:27:49 -0000	1.4.4.2
@@ -1,5 +1,5 @@
 %define name    ngircd
-%define version 0.9.0
+%define version 0.9.1
 %define release 1
 %define prefix  %{_prefix}
 
Index: contrib/Debian/changelog
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/contrib/Debian/changelog,v
retrieving revision 1.11.2.3
retrieving revision 1.11.2.6
diff -u -p -r1.11.2.3 -r1.11.2.6
--- contrib/Debian/changelog	24 Jul 2005 21:19:40 -0000	1.11.2.3
+++ contrib/Debian/changelog	3 Aug 2005 16:37:12 -0000	1.11.2.6
@@ -1,3 +1,16 @@
+ngircd (0.9.1-0ab1) unstable; urgency=medium
+
+  * New "upstream release" addressing two problems in ngIRCd 0.9.0.
+
+ -- Alexander Barton <alex@barton.de>  Wed,  3 Aug 2005 15:10:41 +0200
+
+ngircd (0.9.0-0ab2) unstable; urgency=medium
+
+  * Init script: fixed a problem with symbolic links in runlevel directories
+    that could prevent the init script from working correctly.
+
+ -- Alexander Barton <alex@barton.de>  Tue, 26 Jul 2005 21:31:18 +0200
+
 ngircd (0.9.0-0ab1) unstable; urgency=low
 
   * New "upstream release".
Index: contrib/Debian/ngircd.init
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/contrib/Debian/ngircd.init,v
retrieving revision 1.5
retrieving revision 1.5.2.1
diff -u -p -r1.5 -r1.5.2.1
--- contrib/Debian/ngircd.init	1 Jun 2005 21:51:11 -0000	1.5
+++ contrib/Debian/ngircd.init	26 Jul 2005 19:30:54 -0000	1.5.2.1
@@ -2,7 +2,7 @@
 #
 # ngIRCd start and stop script for Debian-based systems
 #
-# $Id: ngircd.init,v 1.5 2005/06/01 21:51:11 alex Exp $
+# $Id: ngircd.init,v 1.5.2.1 2005/07/26 19:30:54 alex Exp $
 #
 
 PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
@@ -11,7 +11,8 @@ NAME=ngIRCd
 DESC="IRC daemon"
 PARAMS=""
 
-test -h "$0" && BASENAME=`readlink $0` || BASENAME=`basename $0`
+test -h "$0" && me=`readlink $0` || me="$0"
+BASENAME=`basename $me`
 
 test -f /etc/default/$BASENAME && . /etc/default/$BASENAME
 
Index: src/ngircd/conn.h
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/src/ngircd/conn.h,v
retrieving revision 1.35
retrieving revision 1.35.2.1
diff -u -p -r1.35 -r1.35.2.1
--- src/ngircd/conn.h	12 Jun 2005 16:28:55 -0000	1.35
+++ src/ngircd/conn.h	30 Jul 2005 23:24:50 -0000	1.35.2.1
@@ -8,7 +8,7 @@
  * (at your option) any later version.
  * Please read the file COPYING, README and AUTHORS for more information.
  *
- * $Id: conn.h,v 1.35 2005/06/12 16:28:55 alex Exp $
+ * $Id: conn.h,v 1.35.2.1 2005/07/30 23:24:50 alex Exp $
  *
  * Connection management (header)
  */
@@ -21,11 +21,11 @@
 #include <time.h>			/* for time_t, see below */
 
 
-#define CONN_ISCLOSING		1U	/* Conn_Close() already called */
-#define CONN_ISCONNECTING	2U	/* connect() in progress */
+#define CONN_ISCLOSING		1	/* Conn_Close() already called */
+#define CONN_ISCONNECTING	2	/* connect() in progress */
 
 #ifdef ZLIB
-#define CONN_ZIP		4U	/* zlib compressed link */
+#define CONN_ZIP		4	/* zlib compressed link */
 #endif
 
 
Index: src/ngircd/irc.c
===================================================================
RCS file: /srv/cvs/ngircd/ngircd/src/ngircd/irc.c,v
retrieving revision 1.126
retrieving revision 1.126.2.1
diff -u -p -r1.126 -r1.126.2.1
--- src/ngircd/irc.c	18 Apr 2005 15:44:39 -0000	1.126
+++ src/ngircd/irc.c	2 Aug 2005 23:08:27 -0000	1.126.2.1
@@ -14,7 +14,7 @@
 
 #include "portab.h"
 
-static char UNUSED id[] = "$Id: irc.c,v 1.126 2005/04/18 15:44:39 alex Exp $";
+static char UNUSED id[] = "$Id: irc.c,v 1.126.2.1 2005/08/02 23:08:27 alex Exp $";
 
 #include "imp.h"
 #include <assert.h>
@@ -151,7 +151,7 @@ IRC_KILL( CLIENT *Client, REQUEST *Req )
 		}
 
 		/* Kill client NOW! */
-		conn = Client_Conn( Client_NextHop( c ));
+		conn = Client_Conn( c );
 		Client_Destroy( c, NULL, reason, false );
 		if( conn > NONE )
 			Conn_Close( conn, NULL, reason, true );
